## net.sf.saxon.charcode
Class CharacterSetFactory

    java.lang.Object
      |
      +--net.sf.saxon.charcode.CharacterSetFactory

public class CharacterSetFactory
extends java.lang.Object

This class creates a CharacterSet object for a given named encoding.

Constructor Summary
`CharacterSetFactory()`

Method Summary
`static CharacterSet` `getCharacterSet(java.util.Properties details)` Make a CharacterSet appropriate to the encoding
`static void` `main(java.lang.String[] args)` Main program is a utility to give a list of the character sets supported by the Java VM

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterSetFactory

    public CharacterSetFactory()

Method Detail

### getCharacterSet

    public static CharacterSet getCharacterSet(java.util.Properties details)
                                        throws XPathException

  Make a CharacterSet appropriate to the encoding

    `XPathException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main program is a utility to give a list of the character sets supported by the Java VM

    `java.lang.Exception`